<?php
function party_rental_premium_setting( $wp_customize ) {
	
	/*=========================================
	Page Layout Settings Section
	=========================================*/
	$wp_customize->add_section(
        'upgrade_premium',
        array(
            'title' 		=> __('Upgrade to Pro','party-rental'),
			'priority'      => 1,
		)
    );
	
	/*=========================================
	Add Buttons
	=========================================*/
	
	class Party_Rental_WP_Button_Customize_Control extends WP_Customize_Control {
	public $type = 'upgrade_premium';

function render_content() {
		?>
			<div class="premium_info">
				<ul>
					<li><a class="upgrade-to-pro" href="<?php echo esc_url( PARTY_RENTAL_SHOP_BUY_NOW_1 ); ?>" target="_blank"><?php esc_html_e( 'Upgrade to Pro','party-rental' ); ?> </a></li>
				</ul>
			</div>
		<?php
	   }
	}
	
	$wp_customize->add_setting('premium_info_buttons', array(
	   'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'party_rental_sanitize_text',
	));
		
	$wp_customize->add_control( new Party_Rental_WP_Button_Customize_Control( $wp_customize, 'premium_info_buttons', array(
		'section' => 'upgrade_premium',
    ))
);
}
add_action( 'customize_register', 'party_rental_premium_setting' );